/*
 * Copyright 2008 Dan Furie and Scott Linderman
 *
 * These methods allow the menu state machine to interact with the camera
 * controller. The menu needs methods to save settings for different shot
 * types, start the shot, interrupt the shot, and retrieve values for the
 * different sensors.
 */

void setGenSettings(unsigned int flashTime, unsigned int numShots);
void setExtendedExposureSettings(unsigned int exposureTime);
void setAudioTriggerSettings(char threshold);
void setAccelerometerSettings(char threshold);
void setPhotoTriggerSettings(char threshold);
unsigned int getFlashTime(void);
unsigned int getNumShots(void);
unsigned int getExposureTime(void);
unsigned char getAudioThresh(void);
unsigned char getAccelThresh(void);
unsigned char getPhotoThresh(void);
void takeExtendedExposure(void);
void takeAudioTriggered(void);
void takeAccelerometerTriggered(void);
void takePhotoTriggered(void);
void stopShot(void);
void checkShot(void);
char getShotDone(void);
unsigned char getAudioVal(void);
unsigned char getAccelerometerVal(void);
unsigned char getPhotoVal(void);
void flash(char OnOff);
void shutter(char OnOff);

#include "camera.c"

